User Groups
All operations require authentication.
Retrieve all IAM groups of this accountProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ group \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a new IAM groupProduction
Request body (required)
Group's description
Group's name
Group's role
ADMINNONEREGULARUNPRIVILEGEDResponse
Creation date of this group
Whether it is a default group. This kind of group can't be edited or deleted
Group's description
Last update of this group
Group's name
Group's role
ADMINNONEREGULARUNPRIVILEGEDIAM identity URN of the group
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ group \
-H "authorization: Bearer $OVH_TOKEN"{ "creation": "2024-01-01T12:00:00Z", "defaultGroup": true, "description": "string", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "role": "ADMIN", "urn": "string"}
Get an IAM groupProduction
Path parameters
Group
Response
Creation date of this group
Whether it is a default group. This kind of group can't be edited or deleted
Group's description
Last update of this group
Group's name
Group's role
ADMINNONEREGULARUNPRIVILEGEDIAM identity URN of the group
Example uses group = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ group/ {group} \
-H "authorization: Bearer $OVH_TOKEN"{ "creation": "2024-01-01T12:00:00Z", "defaultGroup": true, "description": "string", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "role": "ADMIN", "urn": "string"}
Alter an IAM groupProduction
Path parameters
Group
Request body (required)
Creation date of this group
Whether it is a default group. This kind of group can't be edited or deleted
Group's description
Last update of this group
Group's name
Group's role
ADMINNONEREGULARUNPRIVILEGEDIAM identity URN of the group
Response
Example uses group = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ group/ {group} \
-H "authorization: Bearer $OVH_TOKEN"Delete an IAM groupProduction
Path parameters
Group
Response
Example uses group = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ group/ {group} \
-H "authorization: Bearer $OVH_TOKEN"List the users of this groupProduction
Path parameters
Group
Response
Example uses group = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ group/ {group}/ user \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Add a user to the groupProduction
Path parameters
Group
Request body (required)
Username to add to the group
Response
Example uses group = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ group/ {group}/ user \
-H "authorization: Bearer $OVH_TOKEN"Remove a user from the groupProduction
Path parameters
Group
User
Response
Example uses group = string, user = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ me/ identity/ group/ {group}/ user/ {user} \
-H "authorization: Bearer $OVH_TOKEN"